Upgrade to 1.19.3 LTS or 1.20.2?

Discussion about the site's wiki, including bugs/issues encountered

Moderator: Moderators

Locked
tepples
Posts: 21802
Joined: Sun Sep 19, 2004 11:12 pm
Location: NE Indiana, USA (NTSC)
Contact:

Upgrade to 1.19.3 LTS or 1.20.2?

Post by tepples » Fri Jan 18, 2013 12:43 pm

Today I received a notice that one of the sites I'm involved with runs an outdated version of MediaWiki. It couldn't be Pin Eight, because that runs 1.20.2 since I left Go Daddy on December 5. The only other active MediaWiki site where I hold any sort of administrative privilege is wiki.nesdev.com, which is still on 1.18.0. So I'll forward you this mail:
Nemo wrote: Hello,
we have noted that your wiki still runs MediaWiki 1.18.
The current stable release is MediaWiki 1.20.2
<https://www.mediawiki.org/wiki/MediaWiki_1.20>: 1.18 is now
unsupported; it's strongly suggested to update to the last stable
release or to the current long-term support (LTS) release, 1.19.3,
which will be supported until May 2015.
Please see the page
<https://www.mediawiki.org/wiki/Manual:U ... upgrade.3F> for
more information on why you should upgrade, instructions, links to
release notes and more resources.
We'd be delighted to hear back from you suggestions on how to make the
upgrade process better, how you would like release notes to be, what
other extensions we should bundle in the tarball and in general what
makes you (not) want to install/upgrade MediaWiki.
Kind regards,
Federico / [[User:Nemo_bis]]

P.s.: I took this data from wikistats' list of wikis, forgive me if
there are mistakes.
Either way, an upgrade would fix link search.

User avatar
koitsu
Posts: 4216
Joined: Sun Sep 19, 2004 9:28 pm
Location: A world gone mad

Re: Upgrade to 1.19.3 LTS or 1.20.2?

Post by koitsu » Fri Jan 18, 2013 9:17 pm

I'll try to take a stab at upgrading this weekend or the weekend after this.

I'd be very curious how exactly this person contacted you and why absolutely no site details were given by them. Does MediaWiki "phone home?" If so, how do we turn this off? :P

tepples
Posts: 21802
Joined: Sun Sep 19, 2004 11:12 pm
Location: NE Indiana, USA (NTSC)
Contact:

Re: Upgrade to 1.19.3 LTS or 1.20.2?

Post by tepples » Sat Jan 19, 2013 6:02 am

Nemo_bis wrote:I took this data from wikistats' list of wikis
koitsu wrote:Does MediaWiki "phone home?"
If it did, there would probably already have been a story about it on Slashdot. More likely is that someone on the wikistats team uses some spider to locate all sites using MediaWiki, possibly by searching Google for UI text or by following external links from user pages on Wikipedia and other Wikimedia projects.

User avatar
koitsu
Posts: 4216
Joined: Sun Sep 19, 2004 9:28 pm
Location: A world gone mad

Re: Upgrade to 1.19.3 LTS or 1.20.2?

Post by koitsu » Sat Jan 19, 2013 2:14 pm

Then how did they determine to contact you rather than, say, myself or WhoaMan? And how exactly did they contact you, (because the message they sent you contained Wiki-formatted text, implying it wasn't Email, etc.)? Seems very bizarre for MediaWiki to do this.

tepples
Posts: 21802
Joined: Sun Sep 19, 2004 11:12 pm
Location: NE Indiana, USA (NTSC)
Contact:

Re: Upgrade to 1.19.3 LTS or 1.20.2?

Post by tepples » Sat Jan 19, 2013 2:27 pm

It was e-mail. In e-mail, [[User:Nemo_bis]] doesn't do anything. I linked that one myself when I pasted it here, based on the meaning I understood.

Nemo didn't specify whether I was being contacted about pineight.com or wiki.nesdev.com. Perhaps I was contacted about my own wiki, where I am the only user with developer privileges. This would be likely if wikistats had outdated information on my wiki's MediaWiki version.

In any case, I think I left the URLs of all the installed extensions in the site customizations section at the bottom of LocalSettings.

User avatar
koitsu
Posts: 4216
Joined: Sun Sep 19, 2004 9:28 pm
Location: A world gone mad

Re: Upgrade to 1.19.3 LTS or 1.20.2?

Post by koitsu » Sat Jan 19, 2013 6:57 pm

I'm currently in the process of updating things.

User avatar
koitsu
Posts: 4216
Joined: Sun Sep 19, 2004 9:28 pm
Location: A world gone mad

Re: Upgrade to 1.19.3 LTS or 1.20.2?

Post by koitsu » Sat Jan 19, 2013 7:36 pm

I believe I'm done. Damn extensions are always such a PITA. :P

I've poked around at things read-only and everything looks good, but of course haven't tried any modifications. I just updated LocalSettings.php to disable $wgReadOnly so go to town.

And yes, link search now works (well, the page loads anyway w/out errors).

Locked